/* player.h - Header for player.c */

#ifndef PLAYER_H_INC
#define PLAYER_H_INC

#include <allegro.h>

#ifdef WINDOWS
#include <winalleg.h>
#endif

#ifndef WINDOWS
#include <arpa/inet.h>//For htonl/ntohl
#else
#include <winsock.h>
#endif

#include "bullet.h"
#include "sound.h"

#define MAXLEVEL 7
#define MAXUPLEVEL 5

#define NORMAL 0
#define ROCKETS 1

//Standard weapon
#define STANDARD 0

extern fixed px, py, pxs, pys, pangle, pthrust;
extern int pscore, pcurlevel, plives, phealth, bestscore, bestrocketscore, pweapon, pweptime;
extern int levels[MAXLEVEL];
extern int uplevels[MAXUPLEVEL];

void player_control(void);
void player_update(void);
void load_highscore(void);
void save_highscore(void);

#endif
